import React from 'react';
import { IBoxProps, ITextProps, IIconProps, IStackProps } from '../../primitives';
export declare const StatLabel: React.MemoExoticComponent<({ style, ...props }: ITextProps) => JSX.Element>;
export declare const StatNumber: React.MemoExoticComponent<({ style, ...props }: ITextProps) => JSX.Element>;
export declare const StatHelpText: React.MemoExoticComponent<({ style, ...props }: IBoxProps) => JSX.Element>;
declare type IStatArrowProps = IIconProps | {
    type?: 'increase' | 'decrease';
};
export declare const StatArrow: React.MemoExoticComponent<({ type, ...props }: IStatArrowProps) => JSX.Element>;
export declare const StatGroup: React.MemoExoticComponent<React.ForwardRefExoticComponent<Pick<IBoxProps, "style" | "children" | "flex" | "bg" | "size" | "left" | "bottom" | "top" | "p" | "hitSlop" | "onLayout" | "pointerEvents" | "removeClippedSubviews" | "testID" | "nativeID" | "collapsable" | "needsOffscreenAlphaCompositing" | "renderToHardwareTextureAndroid" | "focusable" | "shouldRasterizeIOS" | "isTVSelectable" | "hasTVPreferredFocus" | "tvParallaxProperties" | "tvParallaxShiftDistanceX" | "tvParallaxShiftDistanceY" | "tvParallaxTiltAngle" | "tvParallaxMagnification" | "onStartShouldSetResponder" | "onMoveShouldSetResponder" | "onResponderEnd" | "onResponderGrant" | "onResponderReject" | "onResponderMove" | "onResponderRelease" | "onResponderStart" | "onResponderTerminationRequest" | "onResponderTerminate" | "onStartShouldSetResponderCapture" | "onMoveShouldSetResponderCapture" | "onTouchStart" | "onTouchMove" | "onTouchEnd" | "onTouchCancel" | "onTouchEndCapture" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityComponentType" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityTraits" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "width" | "right" | "shadow" | "alignContent" | "alignItems" | "alignSelf" | "appearance" | "backgroundAttachment" | "backgroundBlendMode" | "backgroundColor" | "backgroundImage" | "backgroundPosition" | "backgroundRepeat" | "backgroundSize" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomStyle" | "borderBottomWidth" | "borderLeftColor" | "borderLeftStyle" | "borderLeftWidth" | "borderRightColor" | "borderRightStyle" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopStyle" | "borderTopWidth" | "boxSizing" | "color" | "cursor" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "float" | "fontFamily" | "fontSize" | "fontStyle" | "fontWeight" | "height" | "inset" | "justifyContent" | "justifyItems" | "justifySelf" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "objectFit" | "objectPosition" | "opacity" | "order" | "outlineColor" | "outlineOffset" | "outlineStyle" | "outlineWidth" | "overflowWrap" | "overflowX" | "overflowY" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "position" | "resize" | "textAlign" | "textDecorationLine" | "textOverflow" | "textTransform" | "transform" | "transformOrigin" | "userSelect" | "verticalAlign" | "visibility" | "whiteSpace" | "willChange" | "wordBreak" | "zIndex" | "animation" | "border" | "borderBottom" | "borderColor" | "borderLeft" | "borderRadius" | "borderRight" | "borderStyle" | "borderTop" | "borderWidth" | "margin" | "outline" | "overflow" | "padding" | "textDecoration" | "m" | "mt" | "mr" | "mb" | "ml" | "mx" | "marginX" | "my" | "marginY" | "pt" | "pr" | "pb" | "pl" | "px" | "paddingX" | "py" | "paddingY" | "insetX" | "insetY" | "pos" | "rounded" | "roundedTopLeft" | "roundedTopRight" | "roundedBottomLeft" | "roundedBottomRight" | "borderTopRadius" | "roundedTop" | "borderBottomRadius" | "roundedBottom" | "borderLeftRadius" | "roundedLeft" | "borderRightRadius" | "roundedRight" | "d" | "w" | "boxSize" | "maxW" | "minW" | "h" | "maxH" | "minH" | "bgColor" | "bgImage" | "bgImg" | "bgBlendMode" | "bgSize" | "bgPosition" | "bgPos" | "bgRepeat" | "bgAttachment" | "txtDecor" | "_text" | "flexDir" | "borderX" | "borderY"> & React.RefAttributes<unknown>>>;
declare type IStatComponentType = ((props: IBoxProps) => JSX.Element) & {
    Label: React.MemoExoticComponent<(props: ITextProps) => JSX.Element>;
    Number: React.MemoExoticComponent<(props: ITextProps) => JSX.Element>;
    HelpText: React.MemoExoticComponent<(props: IBoxProps) => JSX.Element>;
    Arrow: React.MemoExoticComponent<(props: IStatArrowProps) => JSX.Element>;
    Group: React.MemoExoticComponent<(props: IStackProps) => JSX.Element>;
};
declare const Stat: IStatComponentType;
export default Stat;
